require "securerandom"
require "rand-rspec/version"
require "rand-rspec/integers"
require "rand-rspec/strings"
require "rand-rspec/picks"
require "rand-rspec/time"
require "rspec"

RSpec.configure do |c|
  c.include RandTest::Numbers
  c.include RandTest::Strings
  c.include RandTest::Picks
  c.include RandTest::Time

  c.order = 'rand'
  c.seed  = SecureRandom.random_number((2**((0.size * 8)-2) -1))
end

module RSpec
  class << self
    def seed
      configuration.seed
    end
  end
end
