require 'rand-rspec/integers'

module RandTest

  class AsciiGenerator

    CHARS = "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ".freeze

    extend Numbers

    class << self

      def random_ascii_between(min, max, options={})
        size   = random_number_between(min, max)
        spaces = options[:spaces] || false
        (min...(min+size)).inject("") do |acc, obj|
          if (spaces && (rand(2) > 0))
            acc << " "
          else
            acc << CHARS[rand(CHARS.size)].chr
          end
        end
      end
    end
  end
end
